%define name	gnome-photo-printer
%define version	0.6.5
%define release 1mdk

Name: 	 	%{name}
Summary: 	Simple Photo Printer for Gnome
Version: 	%{version}
Release: 	%{release}

Source:		gpp-%{version}.tar.bz2
Source1:	gpp-48.png
Source2:	gpp-32.png
Source3:	gpp-16.png
URL:		http://www.fogman.de/?GnomePhotoPrinter
License:	GPL
Group:		Graphical desktop/GNOME
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ImageMagick
BuildRequires:	libgnomeui2-devel libglade2.0-devel
BuildRequires:	libgnomeprint-devel libgnomeprintui-devel
BuildRequires:	libgnome-vfs2-devel

%description
Gnome Photo Printer is intended for printing photos in an easy way.  Just
drag your Photos from Nautilus to the Gnome Photo Printer window and drop
it.  Make some selections like Photo or Paper size, hit Preview or Print,
and see your pictures printed.

%prep
%setup -q -n gpp-%version

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="gnome" title="Gnome Photo Printer" longtitle="Quick and simple photo printing" section="Multimedia/Graphics"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %{SOURCE1} > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %{SOURCE2} > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %{SOURCE3} > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/%name
%{_datadir}/%name
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Sat Aug 27 2005 Austin Acton <austin@mandriva.org> 0.6.5-1mdk
- initial package
